For the complete documentation index, see llms.txt. This page is also available as Markdown.

🔵Channel Trending Casts

Get a list of recent casts that are the most popular based on Eigentrust scores of fids in the channel.

get

Get a list of recent casts that are the most popular based on Eigentrust scores of fids in the channel.

This API takes optional parameters - agg, weights, offset, limit andlite.

Parameter 'agg' is used to define the aggregation function and can take any of the following values - rms, sumsquare, sum.

Parameter 'weights' is used to define the weights to be assigned to (L)ikes, (C)asts, (R)ecasts and repl(Y) actions by profiles.

Parameter 'lite' is used to constrain the result to just cast hashes.

Parameter 'offset' is used to specify how many results to skip and can be useful for paginating through results.

Parameter 'limit' is used to specify the number of results to return.

By default, agg=sumsquare, weights='L1C10R5Y1', offset=0, limit=25, and lite=true i.e., returns recent 25 popular casts.

Path parameters
channelstring · enumRequiredPossible values:
Query parameters
aggstring · enum · nullableOptional

Define the aggregation function - rms, sumsquare, sum

Default: sumsquarePossible values:
weightsstring · nullableOptionalDefault: L1C10R5Y1
offsetinteger · nullableOptionalDefault: 0
limitinteger · max: 50 · nullableOptionalDefault: 25
litebooleanOptionalDefault: true
Responses
200

Successful Response

application/json
anyOptional
get/channels/casts/popular/{channel}
GET /channels/casts/popular/{channel} HTTP/1.1
Host: graph.cast.k3l.io
Accept: */*

No content

Last updated